import request from '@/utils/request'

// 查询证书列表
export function listDept(query) {
  return request({
    url: '/product-category/list',
    method: 'get',
    params: query
  })
}

// 查询证书列表（排除节点）
export function listDeptExcludeChild(query) {
  return request({
    url: '/product-category/list/excludeChild',
    method: 'get',
    params: query
  })
}

// 查询证书详细
export function getDept(query) {
  return request({
    url: '/product-category/getInfo',
    method: 'get',
    params: query
  })
}

// 新增证书
export function addDept(data) {
  return request({
    url: '/product-category/add',
    method: 'post',
    data: data
  })
}

// 修改证书
export function updateDept(data) {
  return request({
    url: '/product-category/edit',
    method: 'post',
    data: data
  })
}

// 删除证书
export function delDept(query) {
  return request({
    url: '/product-category/remove',
    method: 'post',
    params: query
  })
}
